Xerces-C++: DOMText Class Reference

# DOMText Class Reference

The `DOMText` interface inherits from `DOMCharacterData` and represents the textual content (termed character data in XML) of an `DOMElement` or `DOMAttr`. More...

Inheritance diagram for DOMText:

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMText ()
| Destructor.
Functions introduced in DOM Level 1
virtual DOMText * | splitText (XMLSize_t offset)=0
| Breaks this node into two nodes at the specified `offset`, keeping both in the tree as siblings.
Functions introduced in DOM Level 3
virtual bool | getIsElementContentWhitespace () const =0
| Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace".
virtual const XMLCh * | getWholeText () const =0
| Returns all text of `DOMText` nodes logically-adjacent text nodes to this node, concatenated in document order.
virtual DOMText * | replaceWholeText (const XMLCh *content)=0
| Substitutes the a specified text for the text of the current node and all logically-adjacent text nodes.
Non-standard extension
virtual bool | isIgnorableWhitespace () const =0
| Non-standard extension.
## Protected Member Functions
Hidden constructors
| DOMText ()
| DOMText (const DOMText &other)

## Detailed Description

The `DOMText` interface inherits from `DOMCharacterData` and represents the textual content (termed character data in XML) of an `DOMElement` or `DOMAttr`.

If there is no markup inside an element's content, the text is contained in a single object implementing the `DOMText` interface that is the only child of the element. If there is markup, it is parsed into the information items (elements, comments, etc.) and `DOMText` nodes that form the list of children of the element.

When a document is first made available via the DOM, there is only one `DOMText` node for each block of text. Users may create adjacent `DOMText` nodes that represent the contents of a given element without any intervening markup, but should be aware that there is no way to represent the separations between these nodes in XML or HTML, so they will not (in general) persist between DOM editing sessions. The `normalize()` method on `DOMNode` merges any such adjacent `DOMText` objects into a single node for each block of text.

See also the Document Object Model (DOM) Level 2 Core Specification.

## Constructor & Destructor Documentation

DOMText::DOMText | ( |  | ) | `[protected]`

DOMText::DOMText | ( | const DOMText & | other | ) | `[protected]`

virtual DOMText::~DOMText | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual DOMText* DOMText::splitText | ( | XMLSize_t | offset | ) | `[pure virtual]`

Breaks this node into two nodes at the specified `offset`, keeping both in the tree as siblings.

After being split, this node will contain all the content up to the `offset` point. A new node of the same type, which contains all the content at and after the `offset` point, is returned. If the original node had a parent node, the new node is inserted as the next sibling of the original node. When the `offset` is equal to the length of this node, the new node has no data.

Parameters:

  | offset | The 16-bit unit offset at which to split, starting from `0`.

Returns:
  The new node, of the same type as this node.

Exceptions:

  | DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in `data`. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Since:
  DOM Level 1

virtual bool DOMText::getIsElementContentWhitespace | ( |  | ) | const`[pure virtual]`

Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace".

The text node is determined to contain whitespace in element content during the load of the document or if validation occurs while using `DOMDocument::normalizeDocument()`.

Since:
  DOM Level 3

virtual const XMLCh* DOMText::getWholeText | ( |  | ) | const`[pure virtual]`

Returns all text of `DOMText` nodes logically-adjacent text nodes to this node, concatenated in document order.

Since:
  DOM Level 3

virtual DOMText* DOMText::replaceWholeText | ( | const XMLCh * | content | ) | `[pure virtual]`

Substitutes the a specified text for the text of the current node and all logically-adjacent text nodes.

This method returns the node in the hierarchy which received the replacement text, which is null if the text was empty or is the current node if the current node is not read-only or otherwise is a new node of the same type as the current node inserted at the site of the replacement. All logically-adjacent text nodes are removed including the current node unless it was the recipient of the replacement text.
Where the nodes to be removed are read-only descendants of an `DOMEntityReference`, the `DOMEntityReference` must be removed instead of the read-only nodes. If any `DOMEntityReference` to be removed has descendants that are not `DOMEntityReference`, `DOMText`, or `DOMCDATASection` nodes, the `replaceWholeText` method must fail before performing any modification of the document, raising a `DOMException` with the code `NO_MODIFICATION_ALLOWED_ERR`.

Parameters:

  | content | The content of the replacing `DOMText` node.

Returns:
  The `DOMText` node created with the specified content.

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if one of the `DOMText` nodes being replaced is readonly.

Since:
  DOM Level 3

virtual bool DOMText::isIgnorableWhitespace | ( |  | ) | const`[pure virtual]`

Non-standard extension.

Return true if this node contains ignorable whitespaces only.

Returns:
  True if this node contains ignorable whitespaces only.

The documentation for this class was generated from the following file:

- DOMText.hpp